Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class MessageEntry

    java.lang.Object
      org.codehaus.activemq.service.impl.MessageEntry

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class MessageEntry
extends java.lang.Object
implements java.io.Externalizable

An entry for a message in a container

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`MessageEntry()` Only used by serialisation
`MessageEntry(ActiveMQMessage msg)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests equivalence with an other object
`ActiveMQMessage` | `getMessage()`
`int` | `hashCode()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEntry

    public MessageEntry()

  Only used by serialisation

### MessageEntry

    public MessageEntry(ActiveMQMessage msg)

Method Detail

### getMessage

    public ActiveMQMessage getMessage()

  Returns:
    Returns the message.

### hashCode

    public int hashCode()

  Returns:
    a hashCode for this object

### equals

    public boolean equals(java.lang.Object obj)

  Tests equivalence with an other object

  Parameters:
    `obj` - the object to test against
  Returns:
    true/false

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.